Quassel IRC - Bug #876

Punycode-Domain can not be clicked
12/09/2009 02:03 PM - Datafreak

Status: Resolved Start date: 12/09/2009
Priority: Normal Due date:

Assignee: dalbers % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.6.0

Version: 0.6-pre 0S: Any
Description

This URL can be clicked:
http://sofidéizéichendémeeinistsipér.de/char.jpg

and they do not:
http://xn--m-4fanol5b8b4f5bcu8cu9qgrdgc8wzcufrf0ald2dta3rib87a.de/char.jpg

Associated revisions

Revision 6b43b39928a36f8c7f497a7f9c2de0133e142bd8 - 01/31/2010 08:26 PM - Daniel Albers
tweak URL regex

We still allow some of the characters flagged "unwise" in RFC 2396
Fixes #860
Fixes #876

Revision 6b43b399 - 01/31/2010 08:26 PM - Daniel Albers
tweak URL regex
We still allow some of the characters flagged "unwise" in RFC 2396

Fixes #860
Fixes #876

History

#1 - 01/27/2010 10:59 PM - seezer

- Category changed from Quassel GUI (Qt) to Quassel Client
- Status changed from New to Assigned

- Assignee set to al

- Target version set to 0.6.0

#2 - 01/28/2010 01:20 AM - dalbers

- Assignee changed from al to dalbers

#3 - 01/31/2010 09:09 PM - dalbers
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 6b43b39928a36{8c7f497a7f9c2de0133e142bd8.
